## pytables 1.3.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 VERSION = $(shell cat VERSION)
 SRCDIRS = src doc
 
-GENERATED = README.txt ANNOUNCE.txt RELEASE-NOTES.txt
+GENERATED = ANNOUNCE.txt RELEASE-NOTES.txt
 
 
 .PHONY:		dist clean
@@ -15,7 +15,9 @@
 	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done
 
 clean:
-	-rm $(GENERATED)
+	-rm -rf build dist
+	-rm $(GENERATED) tables/*.so
+	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
 	for srcdir in $(SRCDIRS) ; do (cd $$srcdir && make $@) ; done
 
 %:		%.in VERSION
