=== debian/changelog ===
pytables (2.3.1-3) unstable; urgency=low

  [ Antonio Valentino ]
  * Set Vcs-* fields in the control file (Closes: #657766)
  * Provide -dbg package (Closes: #399332)
  * Override dh_install instead of dh_auto_install
  * Honor nodoc and noopt DEB_BUILD_OPTIONS (Closes: #660001)
  * Updated copyright format URL
  * Standard version bumped to 3.9.3 (no changes)
  * Patch fix_unaligned_mem_access to avoid errors related to unaligned
    memory access on platforms like ARM, etc (Closes: #661287).
    The patch has been backported from upstream and originally submtted
    by Julian Taylor

  [ Yaroslav Halchenko ]
  * Patch up_skip_multiprocessing_test_on_gnu to disable test on Hurd and
    kFreeBSD systems -- multiprocessing locking seems to be N/A

  [ Julian Taylor ]
  * fix_library_detection.patch:
    fixes detection of multiarched bzip and lzo2 (Closes: #657789)
  * rules: update clean target to remove some remnant files
  * disable_blosc.patch:
    disable blosc on armel, armhf, sparc and mipsel
    not functional due to unaligned memory accesses
    (Closes: #661287, #661286)
  * make testsuite output verbose

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Mar 2012 16:32:52 -0500

pytables (2.3.1-2) unstable; urgency=low

  * Avoid unnecessary cythonization during clean
  * Ensure that build fails in case of test failure
  * Explicitly set PYTHONPATH before running tests
  * Call dh_numpy to generate proper dependency on numpy
    (Closes: #657089)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Jan 2012 12:39:25 +0100

pytables (2.3.1-1) unstable; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #641485)
  * Watch file updated to point tho the new download site
  * Copyright file converted to DEP5 format
  * Removed debian/pycompat file: no more needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh_python2 (Closes: #616988)
  * Now use debhelper 8 and the dh sequencer in the debian/rules file
  * Standard version bumped to 3.9.2
  * Build depend from numexpr, cython, pythn-sphinx and texlive-latex-*
  * No more play with gzip in debian/rules (Closes: #551392)
  * The package is now maintained under the unbrella of debian-science
  * Added a debian/README.source file
  * Enabled automatic testing
  * Build dependency from the HDF5 library updated to libhdf5-dev
    (HDF5 transition)

  [ Yaroslav Halchenko ]
  * Sponsored the upload

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jan 2012 22:18:32 -0500

pytables (2.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on versioned python-numpy (>= 1:1.4.1-4~); fixes
    incompatiblity with python-numpy (Closes: #589669)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590761)

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 23:58:31 -0400

pytables (2.1.2-3) unstable; urgency=low

  * Improve the long discription of python-tables-doc (closes: #551391)
  * Remove the gzip of man1 in rules (close: #551392)
  * Re-fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Wed, 22 Oct 2009 23:10:23 +0100

pytables (2.1.2-2) unstable; urgency=low

  * Fix the build error with Python-2.6 (closes: #547875)

 -- Wen Heping <wenheping@gmail.com>  Wed, 14 Oct 2009 23:10:23 +0100

pytables (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Wen Heping adopt package (closes: #544895)
  * Add a watch file
  * Change the standards version to 3.8.3

 -- Wen Heping <wenheping@gmail.com>  Fri, 09 Oct 2009 18:15:39 +0100

pytables (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 18 Mar 2008 18:15:39 +0100

pytables (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Nov 2007 19:54:25 +0100

pytables (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Francesc Altet <faltet@carabos.com>  Wed, 19 Sep 2007 13:21:33 +0200

pytables (2.0-1) unstable; urgency=low

  * New upstream release. This no longer depends on numarray (closes: #423797)
  * Incorporates patch from Didrik Pinte (closes: #431686)
  * Python 2.5 packages are already available (closes: #391939)

 -- Francesc Altet <faltet@carabos.com>  Thu, 05 Jul 2007 12:08:45 +0200

pytables (1.3.2-2) unstable; urgency=low

    * Fixed call to pyversions in debian/rules which failed on recent versions
      of pyversions
    * Fixed clean rule in debian/rules which left the stamp files behind
    * Acknowledge NMU
    * Added Alexandre Fayolle to uploaders

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 28 Jun 2006 10:45:03 +0200

pytables (1.3.2-1) unstable; urgency=low

    * New upstream release (closes: #375691)

 -- Francesc Altet <faltet@carabos.com>  Tue, 27 Jun 2006 19:57:46 +0200

pytables (1.3-1.1) unstable; urgency=low

  * NMU
  * Comply with the new python policy (removes python2.X-tables
    packages) (closes: #373508)
  * Build-Depend on python-numarray (closes: #374177)
  * Removed versioned dependency on virtual package python2.X-numarray
    (closes: #374799)

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 21 Jun 2006 14:16:13 +0200

pytables (1.3-1) unstable; urgency=low

   * New upstream release. NumPy support added.
     (Closes: #347743)
   * Support of new HDF5 1.6.5 packages in debian.
   * Due to the new dynamic discovery of LZO, UCL and bzip2 libraries,
     they are not required anymore by binaries. More specifically, LZO
     and bzip2 are Recommended:, while UCL which is being deprecated in
     PyTables is just "Suggested:". Many thanks to Steve Langasek for
     suggesting an automatic way to do this.
   * Note that, although deprecated, UCL support is in, in order to
     allow users to migrate existing files to other supported libraries
     (Zlib, LZO or bzip2).

 -- Francesc Altet <faltet@carabos.com>  Mon, 10 Apr 2006 12:08:33 +0200


