=== debian/control ===
Source: pytables
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>, Yaroslav Halchenko <debian@onerussian.com>
DM-Upload-Allowed: yes
Homepage: http://www.pytables.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/pytables.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pytables.git
Standards-Version: 3.9.3
X-Python-Version: >= 2.4
Build-Depends: debhelper (>= 8.1.0~), libhdf5-dev (>= 1.6.5),
               python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
               python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.4.1-4~),
               python-numexpr (>= 1.4.1), python-numexpr-dbg (>= 1.4.1),
               cython (>= 0.13), cython-dbg (>= 0.13), zlib1g-dev, liblzo2-dev,
               libbz2-dev, python-sphinx (>= 1.0.7+dfsg),
               texlive-latex-recommended, texlive-latex-extra,
               texlive-fonts-recommended

Package: python-tables
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numexpr (>= 1.4.1)
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.

Package: python-tables-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-tables (= ${binary:Version})
Recommends: ${shlibs:Recommends}, python-dbg, python-numpy-dbg,
            python-numexpr-dbg
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-tables-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: xpdf | pdf-viewer, www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes the manual in PDF and HTML formats.
