=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
    http://githubredir.debian.net/github/PyTables/PyTables/ v.(.+).tar.gz
