=== debian/changelog ===
pytables (2.4.0-4) unstable; urgency=low

  * Fix the override_dh_sphinxdoc rule to avoid failures when the -doc
    package is not built

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 24 Jun 2013 20:20:45 +0000

pytables (2.4.0-3) unstable; urgency=low

  * Added build-deendency from jquery-cookie and updated debian/rules
    to avoid embedded javascript
  * New patch: fix tests of nested record reperesentation on big-endian
    machines.  Backport of upstream fix for gh-237 (see also
    https://github.com/PyTables/PyTables/issues/237).
  * New patch: fix detection od platforms supporting blosc

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 14:14:23 +0000

pytables (2.4.0-2) unstable; urgency=low

  * Added vitables as suggested package (Closes: #702228)
  * Updated copyright file
  * Standard version bumped to 3.9.4 (no changes)
  * Removed obsolete DM-Upload-Allowed field from the control file
  * Enabled automatic testing for dbg packages
  * Keep the original name of the upstream changelog
  * Use canonical URI for VCS-* fields
  * Fixed unnecessarily versioned build dependencies (silence cme warnings)
  * Uploading PyTables 2.4 to unstable also fixes a small incompatibility
    with numpy >= 1.7 (Closes: #713085)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2013 13:25:28 +0000

pytables (2.4.0-1) experimental; urgency=low

  [ Antonio Valentino ]
  * New upstream release (Closes: #698318, #605180)
  * Improved watch file
  * Removed all patches (applied upstream)
  * Updated build dependencies
  * Set compat to 9
  * Updated copyright file

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 28 Jan 2013 10:02:57 -0500
