=== debian/control ===
--- 
+++ 
@@ -3,27 +3,28 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>, Yaroslav Halchenko <debian@onerussian.com>
-DM-Upload-Allowed: yes
 Homepage: http://www.pytables.org
-Vcs-Git: git://git.debian.org/git/debian-science/packages/pytables.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/pytables.git
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytables.git
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.4
-Build-Depends: debhelper (>= 8.1.0~), libhdf5-dev (>= 1.6.5),
-               python-all-dev (>= 2.6.6-3~), python-all-dbg (>= 2.6.6-3~),
-               python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.4.1-4~),
-               python-numexpr (>= 1.4.1), python-numexpr-dbg (>= 1.4.1),
-               cython (>= 0.13), cython-dbg (>= 0.13), zlib1g-dev, liblzo2-dev,
+Build-Depends: debhelper (>= 9.0.0), libhdf5-dev,
+               python-all-dev, python-all-dbg,
+               python-numpy, python-numpy-dbg,
+               python-numexpr, python-numexpr-dbg,
+               cython (>= 0.13), cython-dbg (>= 0.13),
+               zlib1g-dev, liblzo2-dev,
                libbz2-dev, python-sphinx (>= 1.0.7+dfsg),
                texlive-latex-recommended, texlive-latex-extra,
-               texlive-fonts-recommended
+               texlive-fonts-recommended,
+               libjs-jquery-cookie
 
 Package: python-tables
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
-         python-numexpr (>= 1.4.1)
+         python-numexpr
 Recommends: ${shlibs:Recommends}
-Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
+Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}, vitables
 Description: hierarchical database for Python based on HDF5
  PyTables is a hierarchical database package designed to efficiently
  manage very large amounts of data. PyTables is built on top of the
@@ -72,7 +73,7 @@
 Package: python-tables-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery-cookie
 Suggests: xpdf | pdf-viewer, www-browser
 Description: hierarchical database for Python based on HDF5 - documentation
  PyTables is a hierarchical database package designed to efficiently
